%define sdsver	10
%define uver	0.31.0-1+sds%{sdsver}
%define sver	0.31.0
%define apiver	0.31

%define api		0.31.0.5
%define major		1
%define libname		%mklibname va %{api} %{major}
%define develname	%mklibname va -d

%define compat_major	0
%define compat_libname	%mklibname va-compat %{compat_major}

Name:		libva
# The rather complex versioning is due to the upstream being a patched
# version of the real upstream libva; when the real upstream 0.5 comes
# out we will no longer need to use Gwenole's patched version of 0.3
Version:	0.31.0.1.sds%{sdsver}
%define subrel	1
Release:	%{mkrel 1}
Summary:	Video Acceleration (VA) API for Linux
Group:		System/Libraries
License:	MIT
URL:		http://www.splitted-desktop.com/~gbeauchesne/libva/
Source0:	http://www.splitted-desktop.com/~gbeauchesne/libva/%{name}_%{uver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libtool
BuildRequires:	libxext-devel
BuildRequires:	libxfixes-devel
BuildRequires:	libdrm-devel
BuildRequires:	GL-devel

%description
Libva is a library providing the VA API video acceleration API.

%package test
Summary:	Test tools for %{name}
Group:		System/Libraries

%description test
Libva is a library providing the VA API video acceleration API.
This package provides test tools for libva.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}va1 < 0.31.0.1.sds10-1.1
# libva1 of 2010.1 was splitted to %libname and %compat_libname in an
# update (to smoothen future upgrades), so ensure both pieces remain
# installed to avoid breaking anything; this requirement is only in
# this 2010.1 update - Anssi 08/2010
Requires:	%{compat_libname}

%description -n %{libname}
Libva is a library providing the VA API video acceleration API.

%package -n %{compat_libname}
Summary:	Shared library for %{name}-compat
Group:		System/Libraries
Conflicts:	%{_lib}va1 < 0.31.0.1.sds10-1.1

%description -n %{compat_libname}
Libva is a library providing the VA API video acceleration API.
This package provides a compatilibity layer for old %{name}.

%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{compat_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libva is a library providing the VA API video acceleration API. This
package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q -n %{name}-%{sver}
for p in debian/patches/*.patch; do patch -p1 < $p; done

%build
autoreconf -i
%configure2_5x --disable-static --enable-glx --enable-i965-driver
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# this is a compatibility name for some older apps which don't use the
# newer soname
echo ".text"|gcc -xassembler - -o %{buildroot}%{_libdir}/libva.so.%{apiver} -shared -Wl,-soname,libva.so.0 -Wl,-z,noexecstack -L%{buildroot}%{_libdir} -lva-x11
ln -s libva.so.%{apiver} %{buildroot}%{_libdir}/libva.so.0

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/va
%{_bindir}/vainfo

%files test
%defattr(-,root,root,-)
%{_bindir}/h264encode
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface
%{_bindir}/test_*

%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/%{name}*-%{api}.so.%{major}*

%files -n %{compat_libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.%{compat_major}*
%{_libdir}/%{name}-compat.so.%{compat_major}*

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Sat Aug 07 2010 Anssi Hannula <anssi@mandriva.org> 0.31.0.1.sds10-1.1mdv2010.1
+ Revision: 567380
- fix major (to smoothen future upgrades)
- split libs with different major (to smoothen future upgrades)

* Wed Feb 24 2010 Olivier Blin <oblin@mandriva.com> 0.31.0.1.sds10-1mdv2010.1
+ Revision: 510659
- put back sane buildroot
- package test tools
- remove hardcoded buildroot
- bump to sds10 (thanks Gwenole for the notification)

* Thu Jan 21 2010 Adam Williamson <awilliamson@mandriva.org> 0.31.0.1.sds9-1mdv2010.1
+ Revision: 494679
- new release 0.31.0-1sds9

* Thu Sep 03 2009 Adam Williamson <awilliamson@mandriva.org> 0.30.4.1.sds5-1mdv2010.0
+ Revision: 428878
- import libva

